Milestone: Tag handling

**[>WIKI Milestone entry](https://agile.gnusocial.rocks/doku.php?id=milestones:tags)**

See also [our update on self tags]()

# Tag Wrangling

Whenever you post a note containing tags, you can choose whether to
make those tags canonical. This means that, for instance, the tags
#run and #running become the 'same', meaning that when you click on
the link for the #run tag, you'll also see notes tagged #running. You
can opt out of the behaviour by unchecking the "Make note tags
canonical". An identical process occurs for people tags.

Internally, this transformation is accomplished by splitting the tag
into words and [stemming](https://en.wikipedia.org/wiki/Stemming) each word.

# Tag feeds

When you click on a tag, be it a note tag or a person tag, you'll see
a feed of notes/people with that tag. You can also edit the feeds you
see in your left panel, so you can follow a given tag.

# Related Tags

In a tag feed, you can see tags that are often used together with the
one you're seeing. This can be useful, for instance, for finding other
content you'd be interested in.

# Muteable Self Tags and Note Tags

If you don't like seeing a given tag in your feeds, for whatever
reason, you can choose to mute it. You can mute a note tag or a person
tag, in which case you wouldn't see any notes from people with that
tag.

